Search project entities by text query
GET
/api/v2026-01/projects/{projectId}/search-entities
const url = 'https://api.zstrike.io/api/v2026-01/projects/example/search-entities?query=example';const options = { method: 'GET', headers: { 'x-op-id': 'example', 'x-session-id': 'example', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.zstrike.io/api/v2026-01/projects/example/search-entities?query=example' \ --header 'Authorization: Bearer <token>' \ --header 'x-op-id: example' \ --header 'x-session-id: example'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”projectId
required
string
Query Parameters
Section titled “Query Parameters”query
required
string
Search term matched against entity type, ID, or full UID (e.g. “sarah”, “User”, or User::“sarah”)
type
Array<string>
Filter by entity type(s). Repeat for multiple (e.g. type=User&type=Group)
status
Array<string>
Filter by status. Repeat for multiple. Defaults to excluding DELETED.
page
integer
Page number (default 1)
limit
integer
Items per page (default 10, max 100)
Header Parameters
Section titled “Header Parameters”x-op-id
required
string
Operation ID
x-session-id
required
string
Session ID
Responses
Section titled “Responses”Paginated Success
Media typeapplication/json
object
code
string
description
string
success
boolean
data
object
meta
object
page
integer
limit
integer
total
integer
totalPages
integer
hasNext
boolean
hasPrev
boolean
timestamp
string format: date-time
Example
{ "code": "S200", "description": "Operation Successful", "success": true, "data": { "items": [] }, "meta": { "page": 1, "limit": 10, "total": 42, "totalPages": 5, "hasNext": true, "hasPrev": false }}Bad Request
Media typeapplication/json
object
code
string
description
string
success
boolean
errors
Array<string>
op_id
string
timestamp
string format: date-time
Example
{ "code": "E400", "description": "Bad Request", "success": false, "errors": [ "Error Message 1", "Error Message 2" ], "op_id": "op_example"}Unauthorized
Media typeapplication/json
object
code
string
description
string
success
boolean
errors
Array<string>
op_id
string
timestamp
string format: date-time
Example
{ "code": "E401", "description": "Unauthorized", "success": false, "errors": [ "Unauthorized" ], "op_id": "op_example"}Forbidden
Media typeapplication/json
object
code
string
description
string
success
boolean
errors
Array<string>
op_id
string
timestamp
string format: date-time
Example
{ "code": "E403", "description": "Forbidden", "success": false, "errors": [ "Forbidden" ], "op_id": "op_example"}Not Found
Media typeapplication/json
object
code
string
description
string
success
boolean
errors
Array<string>
op_id
string
timestamp
string format: date-time
Example
{ "code": "E404", "description": "Not Found", "success": false, "errors": [ "Not Found" ], "op_id": "op_example"}Internal Server Error
Media typeapplication/json
object
code
string
description
string
success
boolean
errors
Array<string>
op_id
string
timestamp
string format: date-time
Example
{ "code": "E500", "description": "Internal Server Error", "success": false, "errors": [ "Internal Server Error" ]}